> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/users/user-team-notifications.md).

# User team notifications

The following endpoints update and retrieve data about user team notifications settings of a user in a team. [Read more about user team notifications](https://www.make.com/en/help/access-management/teams#managing-team-notification-options).

## List user team notification settings

> Gets settings for user notifications for a user specified by the \`userId\` and a team specified by the \`teamId\`. Get the mapping of the \`notificationId\` and the team notification setting type with the API call \`GET /enums/user-email-notifications\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / User team notifications","description":"The following endpoints update and retrieve data about user team notifications settings of a user in a team. [Read more about user team notifications](https://www.make.com/en/help/access-management/teams#managing-team-notification-options)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/{userId}/user-team-notifications/{teamId}":{"get":{"tags":["Users / User team notifications"],"summary":"List user team notification settings","description":"Gets settings for user notifications for a user specified by the `userId` and a team specified by the `teamId`. Get the mapping of the `notificationId` and the team notification setting type with the API call `GET /enums/user-email-notifications`.","parameters":[{"name":"userId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the user."},{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userTeamNotifications":{"type":"array","items":{"type":"object","properties":{"userId":{"type":"integer"},"teamId":{"type":"integer"},"notificationId":{"type":"integer"},"enabled":{"type":"boolean"}}}}}}}}}}}}}}
```

## Check user's notification settings

> Checks team notification settings for specific user, team and notification type with the specified \`userId\`, \`teamId\` and \`notificationId\`. Get the mapping of the \`notificationId\` and the team notification setting type with the API call \`GET /enums/user-email-notifications\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / User team notifications","description":"The following endpoints update and retrieve data about user team notifications settings of a user in a team. [Read more about user team notifications](https://www.make.com/en/help/access-management/teams#managing-team-notification-options)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/{userId}/user-team-notifications/{teamId}/{notificationId}":{"get":{"tags":["Users / User team notifications"],"summary":"Check user's notification settings","description":"Checks team notification settings for specific user, team and notification type with the specified `userId`, `teamId` and `notificationId`. Get the mapping of the `notificationId` and the team notification setting type with the API call `GET /enums/user-email-notifications`.","parameters":[{"name":"userId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the user."},{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"notificationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the notification type. Get the mapping of the `notificationId` and the team notification setting type with the API call `GET /enums/user-email-notifications`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userTeamNotification":{"type":"object","properties":{"userId":{"type":"integer"},"teamId":{"type":"integer"},"notificationId":{"type":"integer"},"enabled":{"type":"boolean"}}}}}}}}}}}}}
```

## Update user's notification settings

> Updates team notification settings for the user identified with the \`userId\`, \`teamId\` and \`notificationId\`.\
> \
> Get the mapping of the \`notificationId\` and the team notification setting type with the API call \`GET /enums/user-email-notifications\`.\
> \
> Note that you can only update notification settings for the user associated with the API key used for authentication.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users / User team notifications","description":"The following endpoints update and retrieve data about user team notifications settings of a user in a team. [Read more about user team notifications](https://www.make.com/en/help/access-management/teams#managing-team-notification-options)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/{userId}/user-team-notifications/{teamId}/{notificationId}":{"put":{"tags":["Users / User team notifications"],"summary":"Update user's notification settings","description":"Updates team notification settings for the user identified with the `userId`, `teamId` and `notificationId`.\n\nGet the mapping of the `notificationId` and the team notification setting type with the API call `GET /enums/user-email-notifications`.\n\nNote that you can only update notification settings for the user associated with the API key used for authentication.\n","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Enables or disables team notification type for the user."}}}}}},"parameters":[{"name":"userId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the user."},{"name":"teamId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the team."},{"name":"notificationId","in":"path","schema":{"type":"string"},"required":true,"description":"The ID of the notification type. Get the mapping of the `notificationId` and the team notification setting type with the API call `GET /enums/user-email-notifications`."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userTeamNotification":{"type":"object","properties":{"userId":{"type":"integer"},"teamId":{"type":"integer"},"notificationId":{"type":"integer"},"enabled":{"type":"boolean"}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/users/user-team-notifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
